OCRcEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Class OCRcEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.InputEvent
                      java.awt.event.KeyEvent
                          org.havi.ui.event.HRcEvent
                              org.ocap.ui.event.OCRcEvent

All Implemented Interfaces:
  Serializable

    public class OCRcEvent

extends HRcEvent

The OCAP remote control event class. This class provides constants of key codes extended by OCAP.

The presence or absence of these keys and their desired representation is provided by the org.havi.ui.event.HRcCapabilities and the org.havi.ui.event.HEventRepresentaion.

Instances of OCRcEvent are reported through the normal java.awt event mechanism. Note that the reception of these events by a java.awt.Component is dependent on it having java.awt.event.KeyEvent events enabled.

Note that it is an implementation option if remote control key events are repeated. All KEY PRESSED, KEY TYPED and KEY RELEASED events shall be generated. An application is able to determine whether a key is being continuously pressed by containing logic to detect the KEY RELEASED event after a KEY PRESSED event.

Version:
  1.0
Author:
  Ralph Brown (excite@Home) and Mark S. Millard (Vidiom Systems), Revisions by Shigeaki Watanabe (Panasonic), Kinney Bacon (SA) and Allen Gordon (CableLabs)
See Also:
  Serialized Form

Field Summary
`static int` | `OCRC_FIRST` Marks the first integer id for the range of OCAP remote control key codes.
`static int` | `OCRC_LAST` Marks the last integer id for the range of OCAP remote control key codes.
`static int` | `VK_APPS` The 'apps' key code.
`static int` | `VK_BACK` The 'back' key code.
`static int` | `VK_EXIT` The 'exit' key code.
`static int` | `VK_FORWARD` The 'forward' key code.
`static int` | `VK_INSTANT_REPLAY` The 'instant replay' key code.
`static int` | `VK_LAST` The 'last' key code.
`static int` | `VK_LINK` The 'link' key code.
`static int` | `VK_LIST` The ’list’ key code.
`static int` | `VK_LIVE` The ’live’ key code.
`static int` | `VK_LOCK` The ’lock’ key code.
`static int` | `VK_MENU` The 'menu' key code.
`static int` | `VK_NEXT_DAY` The guide 'next day' key code.
`static int` | `VK_NEXT_FAVORITE_CHANNEL` The ’next favorite channel’ key code.
`static int` | `VK_ON_DEMAND` The ’on demand’ key code.
`static int` | `VK_PINP_DOWN` The ’picture-in-picture down’ key code.
`static int` | `VK_PINP_MOVE` The ’picture-in-picture move’ key code.
`static int` | `VK_PINP_UP` The ’picture-in-picture up’ key code.
`static int` | `VK_PREV_DAY` The guide 'previous day' key code.
`static int` | `VK_RESERVE_1` The ’reserved’ key code number 1.
`static int` | `VK_RESERVE_2` The ’reserved’ key code number 2.
`static int` | `VK_RESERVE_3` The ’reserved’ key code number 3.
`static int` | `VK_RESERVE_4` The ’reserved’ key code number 4.
`static int` | `VK_RESERVE_5` The ’reserved’ key code number 5.
`static int` | `VK_RESERVE_6` The ’reserved’ key code number 6.
`static int` | `VK_RF_BYPASS` The 'RF Bypass' key code.
`static int` | `VK_SETTINGS` The 'settings' key code.
`static int` | `VK_SKIP` The ’skip’ key code.
`static int` | `VK_ZOOM` The 'zoom' key code.

Fields inherited from class org.havi.ui.event.HRcEvent
`RC_FIRST, RC_LAST, VK_BALANCE_LEFT, VK_BALANCE_RIGHT, VK_BASS_BOOST_DOWN, VK_BASS_BOOST_UP, VK_CHANNEL_DOWN, VK_CHANNEL_UP, VK_CLEAR_FAVORITE_0, VK_CLEAR_FAVORITE_1, VK_CLEAR_FAVORITE_2, VK_CLEAR_FAVORITE_3, VK_COLORED_KEY_0, VK_COLORED_KEY_1, VK_COLORED_KEY_2, VK_COLORED_KEY_3, VK_COLORED_KEY_4, VK_COLORED_KEY_5, VK_DIMMER, VK_DISPLAY_SWAP, VK_EJECT_TOGGLE, VK_FADER_FRONT, VK_FADER_REAR, VK_FAST_FWD, VK_GO_TO_END, VK_GO_TO_START, VK_GUIDE, VK_INFO, VK_MUTE, VK_PINP_TOGGLE, VK_PLAY, VK_PLAY_SPEED_DOWN, VK_PLAY_SPEED_RESET, VK_PLAY_SPEED_UP, VK_POWER, VK_RANDOM_TOGGLE, VK_RECALL_FAVORITE_0, VK_RECALL_FAVORITE_1, VK_RECALL_FAVORITE_2, VK_RECALL_FAVORITE_3, VK_RECORD, VK_RECORD_SPEED_NEXT, VK_REWIND, VK_SCAN_CHANNELS_TOGGLE, VK_SCREEN_MODE_NEXT, VK_SPLIT_SCREEN_TOGGLE, VK_STOP, VK_STORE_FAVORITE_0, VK_STORE_FAVORITE_1, VK_STORE_FAVORITE_2, VK_STORE_FAVORITE_3, VK_SUBTITLE, VK_SURROUND_MODE_NEXT, VK_TELETEXT, VK_TRACK_NEXT, VK_TRACK_PREV, VK_VIDEO_MODE_NEXT, VK_VOLUME_DOWN, VK_VOLUME_UP, VK_WINK`

Fields inherited from class java.awt.event.KeyEvent
`CHAR_UNDEFINED, KEY_FIRST, KEY_LAST, KEY_PRESSED, KEY_RELEASED, KEY_TYPED, VK_0, VK_1, VK_2, VK_3, VK_4, VK_5, VK_6, VK_7, VK_8, VK_9, VK_A, VK_ACCEPT, VK_ADD, VK_AGAIN, VK_ALL_CANDIDATES, VK_ALPHANUMERIC, VK_ALT, VK_ALT_GRAPH, VK_AMPERSAND, VK_ASTERISK, VK_AT, VK_B, VK_BACK_QUOTE, VK_BACK_SLASH, VK_BACK_SPACE, VK_BRACELEFT, VK_BRACERIGHT, VK_C, VK_CANCEL, VK_CAPS_LOCK, VK_CIRCUMFLEX, VK_CLEAR, VK_CLOSE_BRACKET, VK_CODE_INPUT, VK_COLON, VK_COMMA, VK_COMPOSE, VK_CONTROL, VK_CONVERT, VK_COPY, VK_CUT, VK_D, VK_DEAD_ABOVEDOT, VK_DEAD_ABOVERING, VK_DEAD_ACUTE, VK_DEAD_BREVE, VK_DEAD_CARON, VK_DEAD_CEDILLA, VK_DEAD_CIRCUMFLEX, VK_DEAD_DIAERESIS, VK_DEAD_DOUBLEACUTE, VK_DEAD_GRAVE, VK_DEAD_IOTA, VK_DEAD_MACRON, VK_DEAD_OGONEK, VK_DEAD_SEMIVOICED_SOUND, VK_DEAD_TILDE, VK_DEAD_VOICED_SOUND, VK_DECIMAL, VK_DELETE, VK_DIVIDE, VK_DOLLAR, VK_DOWN, VK_E, VK_END, VK_ENTER, VK_EQUALS, VK_ESCAPE, VK_EURO_SIGN, VK_EXCLAMATION_MARK, VK_F, VK_F1, VK_F10, VK_F11, VK_F12, VK_F13, VK_F14, VK_F15, VK_F16, VK_F17, VK_F18, VK_F19, VK_F2, VK_F20, VK_F21, VK_F22, VK_F23, VK_F24, VK_F3, VK_F4, VK_F5, VK_F6, VK_F7, VK_F8, VK_F9, VK_FINAL, VK_FIND, VK_FULL_WIDTH, VK_G, VK_GREATER, VK_H, VK_HALF_WIDTH, VK_HELP, VK_HIRAGANA, VK_HOME, VK_I, VK_INPUT_METHOD_ON_OFF, VK_INSERT, VK_INVERTED_EXCLAMATION_MARK, VK_J, VK_JAPANESE_HIRAGANA, VK_JAPANESE_KATAKANA, VK_JAPANESE_ROMAN, VK_K, VK_KANA, VK_KANA_LOCK, VK_KANJI, VK_KATAKANA, VK_KP_DOWN, VK_KP_LEFT, VK_KP_RIGHT, VK_KP_UP, VK_L, VK_LEFT, VK_LEFT_PARENTHESIS, VK_LESS, VK_M, VK_META, VK_MINUS, VK_MODECHANGE, VK_MULTIPLY, VK_N, VK_NONCONVERT, VK_NUM_LOCK, VK_NUMBER_SIGN, VK_NUMPAD0, VK_NUMPAD1, VK_NUMPAD2, VK_NUMPAD3, VK_NUMPAD4, VK_NUMPAD5, VK_NUMPAD6, VK_NUMPAD7, VK_NUMPAD8, VK_NUMPAD9, VK_O, VK_OPEN_BRACKET, VK_P, VK_PAGE_DOWN, VK_PAGE_UP, VK_PASTE, VK_PAUSE, VK_PERIOD, VK_PLUS, VK_PREVIOUS_CANDIDATE, VK_PRINTSCREEN, VK_PROPS, VK_Q, VK_QUOTE, VK_QUOTEDBL, VK_R, VK_RIGHT, VK_RIGHT_PARENTHESIS, VK_ROMAN_CHARACTERS, VK_S, VK_SCROLL_LOCK, VK_SEMICOLON, VK_SEPARATER, VK_SEPARATOR, VK_SHIFT, VK_SLASH, VK_SPACE, VK_SUBTRACT, VK_T, VK_TAB, VK_U, VK_UNDEFINED, VK_UNDERSCORE, VK_UNDO, VK_UP, VK_V, VK_W, VK_X, VK_Y, VK_Z`

Fields inherited from class java.awt.event.InputEvent
`ALT_DOWN_MASK, ALT_GRAPH_DOWN_MASK, ALT_GRAPH_MASK, ALT_MASK, BUTTON1_DOWN_MASK, BUTTON1_MASK, BUTTON2_DOWN_MASK, BUTTON2_MASK, BUTTON3_DOWN_MASK, BUTTON3_MASK, CTRL_DOWN_MASK, CTRL_MASK, META_DOWN_MASK, META_MASK, SHIFT_DOWN_MASK, SHIFT_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`OCRcEvent(Component source, int id, long when, int modifiers, int keyCode, char keyChar)` Constructs an `OCRcEvent` object.

Method Summary

Methods inherited from class java.awt.event.KeyEvent
`getKeyChar, getKeyCode, getKeyModifiersText, getKeyText, isActionKey, paramString, setKeyChar, setKeyCode, setSource`

Methods inherited from class java.awt.event.InputEvent
`consume, getModifiers, getModifiersEx, getModifiersExText, getWhen, isAltDown, isAltGraphDown, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OCRC_FIRST

    public static final int OCRC_FIRST

  Marks the first integer id for the range of OCAP remote control key codes.

  See Also:
    Constant Field Values

### VK_RF_BYPASS

    public static final int VK_RF_BYPASS

  The 'RF Bypass' key code. Indicates a user request to bypass the set-top by passing the RF input directly to the set-top RF output (toggle).

  See Also:
    Constant Field Values

### VK_EXIT

    public static final int VK_EXIT

  The 'exit' key code. Indicates a user request to exit the current application.

  See Also:
    Constant Field Values

### VK_MENU

    public static final int VK_MENU

  The 'menu' key code. Indicates a user request for an on-screen menu (toggle).

  See Also:
    Constant Field Values

### VK_NEXT_DAY

    public static final int VK_NEXT_DAY

  The guide 'next day' key code. Indicates a user request for the next day's worth of EPG data from the guide application.

  See Also:
    `VK_PREV_DAY`, Constant Field Values

### VK_PREV_DAY

    public static final int VK_PREV_DAY

  The guide 'previous day' key code. Indicates a user request for the previous day's worth of EPG data from the guide applications.

  See Also:
    `VK_NEXT_DAY`, Constant Field Values

### VK_APPS

    public static final int VK_APPS

  The 'apps' key code. Indicates a user request for applications.

  See Also:
    Constant Field Values

### VK_LINK

    public static final int VK_LINK

  The 'link' key code. Indicates a user request for launching linked content.

  See Also:
    Constant Field Values

### VK_LAST

    public static final int VK_LAST

  The 'last' key code. Indicates a user request for tuning to the last channel tuned.

  See Also:
    Constant Field Values

### VK_BACK

    public static final int VK_BACK

  The 'back' key code. Indicates a user request moving to the previous URL or web page.

  See Also:
    `VK_FORWARD`, Constant Field Values

### VK_FORWARD

    public static final int VK_FORWARD

  The 'forward' key code. Indicates a user request to move to the next URL or web page.

  See Also:
    `VK_BACK`, Constant Field Values

### VK_ZOOM

    public static final int VK_ZOOM

  The 'zoom' key code. Indicates a user request to toggle from full-screen to scaled between TV and data pages.

  See Also:
    Constant Field Values

### VK_SETTINGS

    public static final int VK_SETTINGS

  The 'settings' key code. Indicates a user request to access the settings (user id, email account, parental control, etc.).

  See Also:
    Constant Field Values

### VK_NEXT_FAVORITE_CHANNEL

    public static final int VK_NEXT_FAVORITE_CHANNEL

  The ’next favorite channel’ key code. Indicates a user request to tune to the next favorite channel.

  See Also:
    Constant Field Values

### VK_RESERVE_1

    public static final int VK_RESERVE_1

  The ’reserved’ key code number 1. Reserved for future use.

  See Also:
    Constant Field Values

### VK_RESERVE_2

    public static final int VK_RESERVE_2

  The ’reserved’ key code number 2. Reserved for future use.

  See Also:
    Constant Field Values

### VK_RESERVE_3

    public static final int VK_RESERVE_3

  The ’reserved’ key code number 3. Reserved for future use.

  See Also:
    Constant Field Values

### VK_RESERVE_4

    public static final int VK_RESERVE_4

  The ’reserved’ key code number 4. Reserved for future use.

  See Also:
    Constant Field Values

### VK_RESERVE_5

    public static final int VK_RESERVE_5

  The ’reserved’ key code number 5. Reserved for future use.

  See Also:
    Constant Field Values

### VK_RESERVE_6

    public static final int VK_RESERVE_6

  The ’reserved’ key code number 6. Reserved for future use.

  See Also:
    Constant Field Values

### VK_LOCK

    public static final int VK_LOCK

  The ’lock’ key code. Indicates a user request to lock the current program.

  See Also:
    Constant Field Values

### VK_SKIP

    public static final int VK_SKIP

  The ’skip’ key code. Indicates a user request to skip the current program.

  See Also:
    Constant Field Values

### VK_LIST

    public static final int VK_LIST

  The ’list’ key code. Indicates a user request to list the current program.

  See Also:
    Constant Field Values

### VK_LIVE

    public static final int VK_LIVE

  The ’live’ key code. Indicates a user request to view live programs.

  See Also:
    Constant Field Values

### VK_ON_DEMAND

    public static final int VK_ON_DEMAND

  The ’on demand’ key code. Indicates a user request to access on demand functions.

  See Also:
    Constant Field Values

### VK_PINP_MOVE

    public static final int VK_PINP_MOVE

  The ’picture-in-picture move’ key code. Indicates a user request to move the picture-in-picture window.

  See Also:
    Constant Field Values

### VK_PINP_UP

    public static final int VK_PINP_UP

  The ’picture-in-picture up’ key code. Indicates a user request to move the picture-in-picture window up.

  See Also:
    Constant Field Values

### VK_PINP_DOWN

    public static final int VK_PINP_DOWN

  The ’picture-in-picture down’ key code. Indicates a user request to move the picture-in-picture window down.

  See Also:
    Constant Field Values

### VK_INSTANT_REPLAY

    public static final int VK_INSTANT_REPLAY

  The 'instant replay' key code. Indicates a user request to invoke the instant replay feature.

  See Also:
    Constant Field Values

### OCRC_LAST

    public static final int OCRC_LAST

  Marks the last integer id for the range of OCAP remote control key codes.

  See Also:
    Constant Field Values

Constructor Detail

### OCRcEvent

    public OCRcEvent(Component source,
                     int id,
                     long when,
                     int modifiers,
                     int keyCode,
                     char keyChar)

  Constructs an `OCRcEvent` object.

  Parameters:
    `source` - the object where the event originated.
    `id` - the identifier in the range KEY_FIRST to KEY_LAST.
    `when` - the time stamp for this event.
    `modifiers` - indication of any modification keys that are active for this event.
    `keyCode` - the code of the key associated with this event.
    `keyChar` - the character representation of the key associated with this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD